summaryrefslogtreecommitdiffstats
path: root/source/ap/alsa-utils
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/alsa-utils')
-rwxr-xr-xsource/ap/alsa-utils/alsa-utils.SlackBuild23
-rw-r--r--source/ap/alsa-utils/slack-desc16
2 files changed, 25 insertions, 14 deletions
diff --git a/source/ap/alsa-utils/alsa-utils.SlackBuild b/source/ap/alsa-utils/alsa-utils.SlackBuild
index 6dc0adaec..13c75e564 100755
--- a/source/ap/alsa-utils/alsa-utils.SlackBuild
+++ b/source/ap/alsa-utils/alsa-utils.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2015 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2015, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,13 +20,14 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo alsa-utils-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+PKGNAM=alsa-utils
+VERSION=${VERSION:-$(echo alsa-utils-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-alsa-utils
@@ -40,6 +41,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
elif [ "$ARCH" = "s390" ]; then
@@ -61,8 +70,10 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf alsa-utils-$VERSION
-tar xvf $CWD/alsa-utils-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/alsa-utils-$VERSION.tar.?z || exit 1
cd alsa-utils-$VERSION || exit 1
+
+# Better off just disabling alsaconf...
#zcat $CWD/alsa-utils.alsaconf.diff.gz | patch -p1 --verbose --backup --suffix=.orig || exit
chown -R root:root .
diff --git a/source/ap/alsa-utils/slack-desc b/source/ap/alsa-utils/slack-desc
index 06ca73c09..39d6b209b 100644
--- a/source/ap/alsa-utils/slack-desc
+++ b/source/ap/alsa-utils/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
alsa-utils: alsa-utils (Advanced Linux Sound Architecture utilities)
alsa-utils:
alsa-utils: The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
-alsa-utils: functionality to the Linux operating system. This package contains
+alsa-utils: functionality to the Linux operating system. This package contains
alsa-utils: command line audio utilities for use with ALSA:
-alsa-utils: alsactl (manage soundcard settings)
-alsa-utils: arecord/aplay (capture and play audio)
-alsa-utils: amixer (adjust mixer settings from the command line)
-alsa-utils: alsamixer (an ncurses-based console mixer)
+alsa-utils: alsactl (manage soundcard settings)
+alsa-utils: arecord/aplay (capture and play audio)
+alsa-utils: amixer (adjust mixer settings from the command line)
+alsa-utils: alsamixer (an ncurses-based console mixer)
alsa-utils:
alsa-utils: For more information, see http://alsa-project.org